package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 兑换机上报数据表 el_point_tradeno
 *
 * @author cyl
 * @date 2021-12-07
 */
@ApiModel("兑换机上报数")
public class ElPointTradeNo extends BaseEntity{//  implements QCInterface
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 接口编号  1000
     */
    @ApiModelProperty(value = "接口编号  1000")
    private String funCode;

    /**
     * 机器号
     */
    @ApiModelProperty(value = "机器号")
    private String machineId;

    /**
     * 序列号，原样返回
     */
    @ApiModelProperty(value = "序列号，原样返回")
    private String tradeNo;


    /**
     * 货道编号
     */
    @ApiModelProperty(value = "货道编号")
    private String slotNo;

    /**
     * 按键号（用于有按键对应的机器）
     */
    @ApiModelProperty(value = "按键号（用于有按键对应的机器）")
    private String keyNum;

    /**
     * 货道状态（0：正常   其它：故障）
     */
    @ApiModelProperty(value = "货道状态（0：正常   其它：故障）")
    private String status;

    /**
     * 上货/配送 数量
     */
    @ApiModelProperty(value = "上货/配送 数量")
    private String quantity;

    /**
     * 现存（上货/配送后）
     */
    @ApiModelProperty(value = "现存（上货/配送后）")
    private String stock;

    /**
     * 容量
     */
    @ApiModelProperty(value = "容量")
    private String capacity;

    /**
     * 商品ID
     */
    @ApiModelProperty(value = "商品ID")
    private String productId;


    /**
     * 单价（1.5）
     */
    @ApiModelProperty(value = "单价（1.5）")
    private String price;

    /**
     * 商品类型
     */
    @ApiModelProperty(value = "商品类型")
    private String type;


    /**
     * 商品介绍
     */
    @ApiModelProperty(value = "商品介绍")
    private String introduction;


    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String name;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFunCode() {
        return funCode;
    }

    public void setFunCode(String funCode) {
        this.funCode = funCode;
    }

    public String getMachineId() {
        return machineId;
    }

    public void setMachineId(String machineId) {
        this.machineId = machineId;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getSlotNo() {
        return slotNo;
    }

    public void setSlotNo(String slotNo) {
        this.slotNo = slotNo;
    }

    public String getKeyNum() {
        return keyNum;
    }

    public void setKeyNum(String keyNum) {
        this.keyNum = keyNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getStock() {
        return stock;
    }

    public void setStock(String stock) {
        this.stock = stock;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
